
char* messageText="just a test message";
//int pic;
BOB radioPic;
int message_timer=0;

void Init_Message(){
// load the crescent ship
Load_Bitmap_File(&bitmap8bit, "ART/faces.bmp");

// set the palette to background image palette
Set_Palette(bitmap8bit.palette);

// save this palette
Save_Palette(game_palette);

// now create the crescent
Create_BOB(&radioPic,0,0,47,47,32,
           BOB_ATTR_VISIBLE | BOB_ATTR_MULTI_FRAME,
           DDSCAPS_SYSTEMMEMORY);

// load crescent frames
for (int index=0; index < 32; index++)
     Load_Frame_BOB(&radioPic,&bitmap8bit,index,index%8,index/8,BITMAP_EXTRACT_MODE_CELL);  

// set position
Set_Pos_BOB(&radioPic,50,400);

// unload data infile
Unload_Bitmap_File(&bitmap8bit);
}

void Send_Message(char* m, int p){
	messageText=m;
//int pic=p;
	radioPic.curr_frame = p;
	message_timer=5 * strlen(m);
}

void Draw_Message(void){
//	radioPic.curr_frame = pic;
	Draw_Text_GDI(messageText,100, 420, RGB(50,255,0),lpddsback);
	Draw_BOB(&radioPic,lpddsback);
	message_timer--;
}


void Pirate_Death(){
	int n = rand()%8;
	int face = rand()%8+24;
	if (n==0) Send_Message("I will be avenged!",face);
	if (n==1) Send_Message("Good thing I got Geiko!",face);
	if (n==2) Send_Message("Oh, you think you're tough?",face);
	if (n==3) Send_Message("Damn you...",face);
	if (n==4) Send_Message("I'm number one!",PLAYER_FACE);
	if (n==5) Send_Message("Damn, but I'm good.",PLAYER_FACE);
	if (n==6) Send_Message("PWNed!",PLAYER_FACE);
	if (n==7) Send_Message("",PLAYER_FACE);


	// start a new ship based on threat
				if(player_threat <= 100)
					Start_Arada();
				else if(player_threat > 100 && player_threat <= 300)
				{
					int n = rand()%2;
					if(n==0) Start_Arada();
					if(n==1) Start_Lazira();
				}
				else if(player_threat > 300 && player_threat <= 750)
					Start_Lazira();
				else if(player_threat > 750 && player_threat <= 1000)
				{
					int n = rand()%2;
					if(n==0) Start_Lazira();
					if(n==1) Start_Zidegar();
				}
				else if(player_threat > 1000 && player_threat <= 2500)
					Start_Zidegar();
				else if(player_threat > 2500 && player_threat <= 3000)
				{
					int n = rand()%2;
					if(n==0) Start_Zidegar();
					if(n==1) Start_Krait();
				}
				else if(player_threat > 3000 && player_threat <= 5000)
					Start_Krait();
				else if(player_threat > 5000 && player_threat <= 10000)
				{
					Start_Miranu();
					Start_Krait();
				}
				else
					Start_Krait();

}

void Boss_Death(){
	
	Send_Message("You will regret this...",20);

	// start a new ship based on threat
				if(player_threat <= 100)
					Start_Arada();
				else if(player_threat > 100 && player_threat <= 300)
				{
					int n = rand()%2;
					if(n==0) Start_Arada();
					if(n==1) Start_Lazira();
				}
				else if(player_threat > 300 && player_threat <= 750)
					Start_Lazira();
				else if(player_threat > 750 && player_threat <= 1000)
				{
					int n = rand()%2;
					if(n==0) Start_Lazira();
					if(n==1) Start_Zidegar();
				}
				else if(player_threat > 1000 && player_threat <= 2500)
					Start_Zidegar();
				else if(player_threat > 2500 && player_threat <= 3000)
				{
					int n = rand()%2;
					if(n==0) Start_Zidegar();
					if(n==1) Start_Krait();
				}
				else if(player_threat > 3000 && player_threat <= 5000)
					Start_Krait();
				else if(player_threat > 5000 && player_threat <= 10000)
				{
					Start_Miranu();
					Start_Krait();
				}
				else
					Start_Krait();

}